Package com.io7m.idstore.model

# Record Class IdAuditSearchParameters

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdAuditSearchParameters

Record Components:
  `timeRange` - Only events created within this time range are returned
  `owner` - Only include events with this owner
  `type` - Only include events with this type
  `message` - Only include events with this message
  `limit` - The limit on the number of returned events

public record IdAuditSearchParameters(IdTimeRange timeRange, Optional<String> owner, Optional<String> type, Optional<String> message, int limit) extends Record
The immutable parameters required to list audit events.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAuditSearchParameters(IdTimeRange timeRange, Optional<String> owner, Optional<String> type, Optional<String> message, int limit)`
  The immutable parameters required to list events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdAuditSearchParameters`
  `defaults()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `limit()`
  Returns the value of the `limit` record component.
  `Optional<String>`
  `message()`
  Returns the value of the `message` record component.
  `Optional<String>`
  `owner()`
  Returns the value of the `owner` record component.
  `IdTimeRange`
  `timeRange()`
  Returns the value of the `timeRange` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Optional<String>`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAuditSearchParameters

    public IdAuditSearchParameters(IdTimeRange timeRange, Optional<String> owner, Optional<String> type, Optional<String> message, int limit)
    The immutable parameters required to list events.
    Parameters:
      `timeRange` - Only events created within this time range are returned
      `owner` - Only include events with this owner
      `type` - Only include events with this type
      `message` - Only include events with this message
      `limit` - The limit on the number of returned events

- ## Method Details

  - ### defaults

    public static IdAuditSearchParameters defaults()
    Returns:
      Sensible default values

  - ### limit

    public int limit()
    Returns the value of the `limit` record component.
    Returns:
      the value of the `limit` record component

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### timeRange

    public IdTimeRange timeRange()
    Returns the value of the `timeRange` record component.
    Returns:
      the value of the `timeRange` record component

  - ### owner

    public Optional<String> owner()
    Returns the value of the `owner` record component.
    Returns:
      the value of the `owner` record component

  - ### type

    public Optional<String> type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### message

    public Optional<String> message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component